You are not logged in.

#1 2015-02-27 09:39:04

Salkay
Member
Registered: 2014-05-22
Posts: 412

[SOLVED] Upgrade to nvidia-346.47-1 results in an error

I just upgraded to nvidia-346.47-1. I got the following error.

(5/7) upgrading nvidia     [##########] 100%
cat: /usr/lib/modules/extramodules-3.19-ARCH/version: No such file or directory

Indeed, there is no file or directory there.

$ ls /usr/lib/modules/
3.18.6-1-ARCH  extramodules-3.18-ARCH

Is this something I should worry about?

Last edited by Salkay (2015-02-27 22:22:00)

Offline

#2 2015-02-27 10:23:56

karol
Archivist
Registered: 2009-05-06
Posts: 25,440

Re: [SOLVED] Upgrade to nvidia-346.47-1 results in an error

What's the output of

uname -a
pacman -Qqs linux | grep ^linux

Offline

#3 2015-02-27 10:31:39

HiImTye
Member
From: Nanaimo, BC, Canada
Registered: 2012-05-09
Posts: 1,061

Re: [SOLVED] Upgrade to nvidia-346.47-1 results in an error

3.18.6-1 is current, 3.19-1 is in testing
https://www.archlinux.org/packages/?sort=&q=linux

I just restarted and nothing terrible happened, I imagine you'll just want to reinstall the nvidia package when the new kernel rolls out

Offline

#4 2015-02-27 10:55:08

emjayc
Member
Registered: 2014-12-27
Posts: 4

Re: [SOLVED] Upgrade to nvidia-346.47-1 results in an error

https://bugs.archlinux.org/task/43969?project=1&cat

Last edited by emjayc (2015-02-27 13:44:10)

Offline

#5 2015-02-27 12:03:52

Svenstaro
Developer
From: Germany
Registered: 2008-11-19
Posts: 375

Re: [SOLVED] Upgrade to nvidia-346.47-1 results in an error

Fixed, try again.

Offline

#6 2015-02-27 22:21:40

Salkay
Member
Registered: 2014-05-22
Posts: 412

Re: [SOLVED] Upgrade to nvidia-346.47-1 results in an error

Thanks for the fix, Svenstaro. Works fine now.

Thanks for the comments everyone else.

@karol FWIW

$ uname -a
Linux lee-XPS-17 3.18.6-1-ARCH #1 SMP PREEMPT Sat Feb 7 08:44:05 CET 2015 x86_64 GNU/Linux
$ pacman -Qqs linux | grep ^linux
linux
linux-api-headers
linux-firmware

Offline

Board footer

Powered by FluxBB